About this Help file

The topics in this Help file are for use from the System Restore Wizard only. Information about System Restore is integrated into Help and Support Center. To view the information in Help and Support Center, click Start, and then click Help and Support.


Restoration complete

After System Restore completes your restoration and your computer restarts, System Restore displays a screen confirming that the restoration operation was successful. You can undo this restoration or choose another restore point if the results of this restoration are unsatisfactory.


Confirm Restore Point selection

You have selected a restore point, but the actual restoration process has not yet started. You still have the opportunity to cancel this restoration.

If you have been working in other files or programs, you should save your work now and close all programs and files.

When you are sure that you have closed all other programs and files and the selected restore point is the one you want to restore your computer to, click Next.

If you want to select a different restore point, click Back.

Note

  • If you are still having problems with your computer after this restoration, try selecting another restore point with an earlier date to perform the restoration again.


Confirm restoration undo

In this screen, the actual undo of the restoration process has not yet started. You have selected a restore point, but you still have the opportunity to cancel this restoration.

If you have been working in other files or programs, you should save your work now and close all programs and files.

The restoration will take a few moments. Your computer will shut down and then automatically restart. A user logon screen will be displayed for you to log on to your computer with your current password.


Restore Point created

You have successfully created a restore point. The name, day, date, and time of the restore point is displayed.

The restore point that you created will appear in the Select a Restore Point screen in the System Restore Wizard. You can choose to restore your computer to this restore point at a future time.

Notes

  • To perform another task in the System Restore Wizard, click Home to return to the Welcome to System Restore screen.

  • To exit the System Restore Wizard, click Close.


Create a Restore Point

This screen allows you to manually create a restore point to keep track of the state of your computer at this point in time.

You can create a restore point if you like the way your computer is functioning now or before you make changes, such as downloading some application from the Internet that might make your computer function differently.

  • Type a name to identify this restore point. System Restore automatically adds the date and time that this Restore Point is created to the name.
  • To finish creating this restore point, click Create.
  • To cancel restore point creation and return to the Welcome to System Restore screen, click Back.
  • To cancel restore point creation and exit the System Restore Wizard, click Cancel.

Notes

  • Creating your own restore point can be useful any time you anticipate making changes to your computer that are risky or that might make your computer unstable.
  • The restore point that you created is displayed in the calendar in the Select a restore point screen in the System Restore Wizard, on the day you created it, with the name you gave it. To view the restore point, select Restore my computer to an earlier time in the Welcome to System Restore screen in the System Restore Wizard.


Renamed folder list

In some rare instances, System Restore restores a folder during the restoration process that has the same name as an existing folder. To avoid writing over the existing folder, System Restore renames the folder by adding a numeric suffix to the name.

This screen lists the folders that have been renamed in the process of restoration and their locations on your hard disk.


Select a restore point

Microsoft Windows graphic

To select a restore point

  1. Click the most recent, bold date on which you remember your computer performing satisfactorily.

    You can click the arrows on either side of calendar to display a different month.

  2. Click a restore point on that date.

    You can have one or more of the following types of restore points:

Initial system checkpoints

This restore point is created the first time you start your computer after upgrading Windows XP Professional or when you first start a new computer. Selecting this restore point reverts Windows XP Professional and programs to the state they were in at that time. Any files with data file name extensions (such as .doc, .htm, .xls, etc.) and all files in the My Documents folder are not restored.

If System Restore must remove all old restore points to make room for new changes, a new restore point is created, and restore points creation resumes from that time. For information about adjusting the disk space used by System Restore, see Disk Space Issues.

System checkpoints

System Restore creates restore points on a regular basis even if you have not made any changes to the system. System Restore automatically creates these restore points:

  • every 24 hours of calendar time

    or

  • every 24 hours your computer is turned on

If your computer is turned off for more than 24 hours, System Restore creates a restore point the next time you start the computer. The computer must be idle for a few minutes before System Restore creates a scheduled restore point.

Selecting a scheduled restore point restores Windows XP Professional and programs to the state that they were in at that time. Any files with data file name extensions (such as .doc, .htm, .xls, and so on) and all files in the My Documents folder are not restored.

Program name installation restore points

When you install a program by using the latest installers such as InstallShield and Windows XP Professional Installer, System Restore creates a restore point. Use these restore points to track changes made to your system or to restore your computer to the state that it was in before you install the program.

Selecting this restore point removes installed files and registry settings, and it restores programs and Windows XP Professional system files altered by the installation. Any files with data file name extensions (such as .doc, .htm, .xls, etc.) and all files in the My Documents folder are not restored.

To revert the changes caused by a program that does not use one of the specified installers, select the most recent restore point before the program was installed.

Windows XP Professional Auto Update restore points

If you use Windows XP Professional automatic update to receive downloaded updates automatically, System Restore creates a restore point before installing the updating software. If items are downloaded, but not installed, a restore point is not created. A restore point is created only when the new components start to install. Use these restore points to track changes you made to your system or when these updates might conflict with other products on your computer.

Manually created restore points

You can create your own restore points in the System Restore Wizard. A restore point that you create is listed with the name you gave it and is prefaced with the day, date, and time you created it. You can create a restore point when you like the way your computer is functioning or before you make changes on your computer, such as installing programs, that might make your computer function differently.

Restore operation restore points

Each time you perform a restoration, it is a change made to your computer. System Restore creates restore operation restore points to track the change and the restoration. You can select these restore operation restore points in the Select a restore point screen in the System Restore Wizard to undo the restoration.

Unsigned device driver restore points

System Restore immediately creates a restore point if it detects that you are installing a driver to your computer that has not been signed or certified by Windows Hardware Quality Labs (WHQL). If the installation of the driver makes undesirable changes to your computer, you can select these restore points in the Select a restore point screen in the System Restore Wizard to undo the changes and restore your computer to the state that existed before you installed the driver.

Microsoft Backup utility recovery restore points

When you perform a recovery using Backup utility, System Restore immediately creates a restore point before the process starts. If the recovery puts your computer in an undesirable state, you can select these restore points in the Select a restore point screen in the System Restore Wizard to undo the changes and restore your computer to the state that existed before you performed the recovery.

Notes

  • In this screen, you select a restore point. The days that appear in bold on the calendar contain restore points. Blue text denotes the current calendar month, and gray text denotes the past months.
  • If you restore to a restore point before a program was installed, that program does not work after restoration. If you want to use the program again, you must reinstall it.
  • System Restore does not replace the process of uninstalling a program. To completely remove the files installed by a program, you must remove the program using Add or Remove Programs in Control Panel or the program's own uninstall program. For more information see Change or remove a program.
  • If System Restore monitoring is turned off for a drive, and you restore to a time before the monitoring is turned off, System Restore still does not monitor that drive after restoration. If you want System Restore to monitor that drive after the restoration, you have to turn on System Restore monitoring for that drive by clicking System in Control Panel.


Undo Complete

After System Restore finishes undoing your restoration and your computer restarts, System Restore displays a screen confirming that the undo operation was successful.

If the results of this restoration are unsatisfactory, you can choose another restore point.


Restoration was unsuccessful due to insufficient disk space

No changes were made to your computer, because your computer does not have enough disk space.

In order to start the restoration, System Restore requires at least 80 MB of available space on the hard disk (or partition where your operating system folder is located).

To make more disk space available on your hard disk, open Disk Cleanup. Disk Cleanup searches your hard disk and then lists temporary files, temporary Internet files, and unnecessary program files that you can safely delete.

Note

  • XOX


Restoration was unsuccessful

No changes have been made to your computer. System Restore was unable to restore your computer to the specified restore point. Select another restore point and try to perform the restoration again.


Restoration was unsuccessful because of improper shutdown

Microsoft Windows graphic

Restoration is incomplete because of improper shutdown

The restoration is incomplete. Due to an improper shutdown of your system during the restore process, your computer is now in a partially restored state. In order to revert the partial changes made to your system, you must undo this restoration by restarting System Restore. After the restoration has been undone, you can select any restore point and perform a new restoration.


Welcome to System Restore

Microsoft Windows graphic

Welcome to the System Restore Wizard

You can use System Restore to perform the following tasks:

  • Start the process of restoring your system by selecting Restore my computer to an earlier time.
  • Create a Restore Point by selecting Create a Restore Point.
  • Undo the last restoration by selecting Undo my last restoration. If you have recently done a restoration, the Undo my last restoration option is displayed in the System Restore list. You can use this option to undo your most recent restoration. This option is available only after you have done a restoration.
  • Access System Restore settings by clicking on System Restore settings.

Notes

  • XOX
  • Antivirus utilities can affect whether your system can be restored to a previous point. If a restore point contains an infected file because the utility is not set to clean the file within the restore point, or if an infected file has been removed from a restore point by an antivirus utility because it could not be cleaned, System Restore will not recover the computer to this partial or infected state. If System Restore could not restore your computer to a previous state, and you suspect that one or more restore points contain infected files or have had infected files removed by the antivirus utility, you can remove all restore points from the System Restore archive by turning off System Restore and then turning it back on.


Compile Date

 Compile Date: 2003-02-11


Change or remove a program

Microsoft Windows graphic

To change or remove a program

  1. Open Add or Remove Programs.
  2. Click Change or Remove Programs, and then click the program you want to change or remove manually.
  3. Click the appropriate button:
    • To change a program, click Change.
    • To remove a program, click Remove.

Caution

  • When you click Change/Remove, some programs might be removed without your being prompted again.

Notes

  • XOX
  • Add or Remove Programs removes only programs that were written for your operating systems. For other programs, check the documentation to see if other files (such as .ini files) should be removed.
  • When you open a program or try to perform a task within a program, you might see a dialog box indicating that Windows Installer is installing or updating the program. This can occur if your administrator has set up the program to install this way, if program files have been deleted or corrupted, or if you are trying to use a program feature that was not installed during setup. If the program was installed from a CD-ROM or if you are no longer connected to the network, Windows Installer might ask you for the CD-ROM. When Windows Installer finishes, the program or feature you are trying to use will start.
  • You can sort programs by name, size, frequency of use, or date last used, by selecting the desired options in the Sort by list box.
  • If you suspect an installed program is the cause of the undesired state of your computer, you should uninstall the program before you use System Restore to perform a restoration.